function pdemodel
[pde_fig,ax]=pdeinit;
pdetool('appl_cb',1);
set(ax,'DataAspectRatio',[3.5 2.5 1]);
set(ax,'PlotBoxAspectRatio',[1 1 1]);
set(ax,'XLim',[-1 6]);
set(ax,'YLim',[-1 4]);
set(ax,'XTickMode','auto');
set(ax,'YTickMode','auto');
pdetool('gridon','on');

% Geometry description:
pdeellip(0.5,0.5,0.5,0.5,...
0,'E1');
pdeellip(0.5,3,0.5,0.5,...
0,'E2');
pdeellip(4.5,0.5,0.5,0.5,...
0,'E3');
pdeellip(4.5,3,0.5,0.5,...
0,'E4');
pderect([0.5 4.5 3.5 0],'R1');
pderect([0 5 3 0.5],'R2');
pdeellip(1.5,1,0.5,0.5,...
0,'E5');
pdeellip(1.5,2.5,0.5,0.5,...
0,'E6');
pdeellip(3.5,1.5,0.5,0.5,...
0,'E7');
set(findobj(get(pde_fig,'Children'),'Tag','PDEEval'),'String','(E1+E2+E3+E4+R1+R2)-(E5+E6+E7)')

% Boundary conditions:
pdetool('changemode',0)
pdetool('removeb',[4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 26 28 29 30 31 32 33 35 37 38 39 40 42 ]);
pdesetbd(20,...
'neu',...
1,...
'0',...
'0')
pdesetbd(19,...
'neu',...
1,...
'0',...
'0')
pdesetbd(18,...
'neu',...
1,...
'0',...
'0')
pdesetbd(17,...
'neu',...
1,...
'0',...
'0')
pdesetbd(16,...
'neu',...
1,...
'0',...
'0')
pdesetbd(15,...
'neu',...
1,...
'0',...
'0')
pdesetbd(14,...
'neu',...
1,...
'0',...
'0')
pdesetbd(13,...
'neu',...
1,...
'0',...
'0')
pdesetbd(12,...
'neu',...
1,...
'0',...
'0')
pdesetbd(11,...
'neu',...
1,...
'0',...
'0')
pdesetbd(10,...
'neu',...
1,...
'0',...
'0')
pdesetbd(9,...
'neu',...
1,...
'0',...
'0')
pdesetbd(8,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(7,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(6,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(5,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(4,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(3,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(2,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(1,...
'dir',...
1,...
'1',...
'x.*x')

% Mesh generation:
setappdata(pde_fig,'Hgrad',1.3);
setappdata(pde_fig,'refinemethod','regular');
setappdata(pde_fig,'jiggle',char('on','mean',''));
pdetool('initmesh')
pdetool('refine')

% PDE coefficients:
pdeseteq(1,...
'1.0',...
'0.0',...
'10.0',...
'1.0',...
'0:10',...
'0.0',...
'0.0',...
'[0 100]')
setappdata(pde_fig,'currparam',...
['1.0 ';...
'0.0 ';...
'10.0';...
'1.0 '])

% Solve parameters:
setappdata(pde_fig,'solveparam',...
str2mat('0','1272','10','pdeadworst',...
'0.5','longest','0','1E-4','','fixed','Inf'))

% Plotflags and user data strings:
setappdata(pde_fig,'plotflags',[1 1 1 1 1 1 7 1 0 0 0 1 1 0 0 0 0 1]);
setappdata(pde_fig,'colstring','');
setappdata(pde_fig,'arrowstring','');
setappdata(pde_fig,'deformstring','');
setappdata(pde_fig,'heightstring','');

% Solve PDE:
pdetool('solve')
