% Die Geometrie und die Randbedingungen wurden mit der GUI eingerichtet, und dann in diese Datei gespeichert. Diese wurde dann modifiziert

%function pdemodel
clear all
close all

[pde_fig,ax]=pdeinit;
pdetool('appl_cb',1);
set(ax,'DataAspectRatio',[2.5 2 1]);
set(ax,'PlotBoxAspectRatio',[1 1 1]);
set(ax,'XLim',[-0.5 4.5]);
set(ax,'YLim',[-0.5 3.5]);
set(ax,'XTickMode','auto');
set(ax,'YTickMode','auto');
pdetool('gridon','on');

% Geometry description:
pderect([0 4 3 0],'R1');
pdeellip(2,1.5,1,1,...
0,'E1');
set(findobj(get(pde_fig,'Children'),'Tag','PDEEval'),'String','R1+E1')

% Boundary conditions:
pdetool('changemode',0)
pdesetbd(4,...
'dir',...
1,...
'1',...
'0')
pdesetbd(3,...
'dir',...
1,...
'1',...
'0')
pdesetbd(2,...
'dir',...
1,...
'1',...
'0')
pdesetbd(1,...
'dir',...
1,...
'1',...
'0')

% Mesh generation:
setappdata(pde_fig,'Hgrad',1.3);
setappdata(pde_fig,'refinemethod','regular');
setappdata(pde_fig,'jiggle',char('on','mean',''));
pdetool('initmesh')
pdetool('refine')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Holen von einigen Variablen aus PDETool. Code aus PDETool gestohlen, funktioniert vermutlich nur mit genau dieser Matlab Version
h=findobj(get(pde_fig,'Children'),'flat','Tag','PDEMeshMenu');
t=get(findobj(get(h,'Children'),'flat','Tag','PDEMeshParam'),...
        'UserData');
p=get(findobj(get(h,'Children'),'flat','Tag','PDEInitMesh'),...
        'UserData');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% PDE coefficients:
pdeseteq(1,...
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% modifizieren von c
% der hintere Teil überprüft, ob der Punkt im Kreis liegt. Der Wahrheitswert "Wahr" ist 1.
'1 + ((x-2).^2 + (y - 1.5).^2 < 1)',...
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
'0.0',...
'x.*x',...
'1.0',...
'0:10',...
'0.0',...
'0.0',...
'[0 100]')
setappdata(pde_fig,'currparam',...
['1.0 ';...
'0.0 ';...
'x.*x';...
'1.0 '])

% Solve parameters:
setappdata(pde_fig,'solveparam',...
str2mat('0','1476','10','pdeadworst',...
'0.5','longest','0','1E-4','','fixed','Inf'))

% Plotflags and user data strings:
setappdata(pde_fig,'plotflags',[1 1 1 1 1 1 1 1 0 0 0 1 1 0 0 0 0 1]);
setappdata(pde_fig,'colstring','');
setappdata(pde_fig,'arrowstring','');
setappdata(pde_fig,'deformstring','');
setappdata(pde_fig,'heightstring','');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PDETool soll jetzt die PDE lösen    
pdetool('solve')
% Holen der Lösung
u=get(findobj(get(pde_fig,'Children'),'flat','Tag','PDEPlotMenu'),...
        'UserData');

% Visualisierung

figure(1)
pdesurf(p, t, u)
colormap jet

[duX, duY] = pdegrad(p, t, u);

figure(2)
pdesurf(p, t, pdeprtni(p, t, duX))
colormap jet

figure(3)
pdesurf(p, t, pdeprtni(p, t, duY))
colormap jet

figure(4)
pdesurf(p, t, pdeprtni(p, t, t(4,:).*duX))
colormap jet

figure(5)
pdesurf(p, t, pdeprtni(p, t, t(4,:).*duY))
colormap jet
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

